magnum (22.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Apr 2026 15:08:49 +0200

magnum (22.0.0~rc2-1) unstable; urgency=medium

  * Uploading to unstable.
  * New upstream release.
  * Add fix-importlib-import.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Mar 2026 11:35:22 +0100

magnum (22.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed --format when building the policy yaml file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Mar 2026 16:24:38 +0100

magnum (21.0.1-2) unstable; urgency=medium

  * Cleans better (Closes: #1048053).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 10:04:48 +0100

magnum (21.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Dec 2025 11:39:21 +0100

magnum (21.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add missing --namespace oslo.versionedobjects when generating conf.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 21:59:35 +0200

magnum (21.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 09:48:21 +0200

magnum (21.0.0~rc1-2) experimental; urgency=medium

  * Fixed UWSGI_INI_APP in api init script.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Sep 2025 22:25:56 +0200

magnum (21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Switch magnum-api-uwsgi.ini to use module=magnum.wsgi.api:application
    instead of the now deprecated wsgi-script.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 08:52:46 +0200

magnum (20.0.0-2) unstable; urgency=medium

  * Add export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 14:04:18 +0200

magnum (20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:36:20 +0200

magnum (20.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 15:27:37 +0100

magnum (20.0.0~rc1-1) experimental; urgency=medium

  * New usptream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 21:08:31 +0100

magnum (19.0.0-4) unstable; urgency=medium

  * Removed python3-pep8 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 08:49:36 +0100

magnum (19.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090430).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:26:48 +0100

magnum (19.0.0-2) unstable; urgency=medium

  * Removed setuptools from requirements.txt (Closes: #1083470).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2024 12:17:14 +0200

magnum (19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:09:21 +0200

magnum (19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:11:03 +0200

magnum (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased use-docker-api-1.24.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 17:15:14 +0200

magnum (18.0.0-2) unstable; urgency=medium

  * Add use-docker-api-1.24.patch (Closes: #1076320).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jul 2024 02:31:26 +0200

magnum (18.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 12:00:10 +0200

magnum (18.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Removed python3-six from (b-)depends.
  * Removed python3-tz from build-depends.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Mar 2024 10:27:12 +0100

magnum (17.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed sqlalchemy_Import_String_from_sqlalchemy_directly.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Oct 2023 17:31:29 +0200

magnum (17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Add sqlalchemy_Import_String_from_sqlalchemy_directly.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 10:33:29 +0200

magnum (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Sep 2023 16:59:22 +0200

magnum (16.0.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1048053).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 16:06:37 +0200

magnum (16.0.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Removed obsolete lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 14:11:01 +0200

magnum (16.0.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 16:54:09 +0200

magnum (16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 13:42:36 +0100

magnum (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions, satisfied in Bookworm.
  * Removed python3-marathon from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Mar 2023 16:37:33 +0100

magnum (15.0.1-2) unstable; urgency=medium

  * Blacklist test_create_federation_with_valid_name(), failing in the buildd,
    but not in my laptop.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Feb 2023 12:37:14 +0100

magnum (15.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Feb 2023 08:58:16 +0100

magnum (15.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed Fix-compatibility-with-oslo.db-12.1.0.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 23:27:12 +0200

magnum (15.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:14:29 +0200

magnum (15.0.0~rc1-2) experimental; urgency=medium

  * Add Fix-compatibility-with-oslo.db-12.1.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2022 09:12:28 +0200

magnum (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 21:55:46 +0200

magnum (14.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed Remove_use_of_tenant_in_context.py.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 16:16:22 +0200

magnum (14.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.
  * Add Remove_use_of_tenant_in_context.py.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Mar 2022 21:33:40 +0100

magnum (14.0.0~rc1-2) experimental; urgency=medium

  * Skip tests that are breaking in the buildd:
    - test_update_cluster_template_with_cluster_not_allow_update()
    - test_collection_links()

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 17:29:55 +0100

magnum (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 18:16:11 +0100

magnum (13.0.0-5) unstable; urgency=medium

  * Aslo blacklist:
    - api.controllers.v1.test_cluster_template.TestListClusterTemplate.*

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Jan 2022 20:12:37 +0100

magnum (13.0.0-4) unstable; urgency=medium

  * Blacklist all of:
    - .*api.controllers.v1.test_baymodel.TestPatch.*
    - .*api.controllers.v1.test_baymodel.TestPost.*
    - .*api.controllers.v1.test_cluster_template.TestPost.*

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Jan 2022 14:44:09 +0100

magnum (13.0.0-3) unstable; urgency=medium

  * Blacklist unit tests that are failing in buildd only:
    - TestPost.test_create_baymodel_with_invalid_long_string
    - TestPost.test_create_baymodel_with_network_driver_non_def_config
    - TestPost.test_create_baymodel_with_no_os_distro_image
    - TestPost.test_create_baymodel_with_volume_driver
    - TestPost.test_create_cluster_template_with_invalid_empty_string
    - TestPost.test_create_cluster_template_with_invalid_long_string
    - TestPost.test_create_cluster_template_with_network_driver
    - TestPost.test_create_cluster_template_with_no_network_driver
    - TestPost.test_create_cluster_template_with_overlay
    - TestPost.test_create_cluster_template_without_name
  * Remove --with systemd.
  * magnum-{api,common}: depends on ucf.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Jan 2022 12:12:03 +0100

magnum (13.0.0-2) unstable; urgency=medium

  * Add python -c "import fcntl; fcntl.fcntl(1, fcntl.F_SETFL, 0)" before
    running tests, in the hope it fixes building on buildds.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Jan 2022 16:27:35 +0100

magnum (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:23:29 +0200

magnum (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Switch policy to /etc/magnum/policy.d/00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 23:33:30 +0200

magnum (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 10:51:41 +0200

magnum (12.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:02:07 +0200

magnum (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 23:25:31 +0200

magnum (12.0.0~rc1-1) experimental; urgency=medium

  * Tune magnum-api-uwsgi.ini for performance.
  * New upstream release.
  * Removed (build-)depends versions satisfied in Bullseye.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 19:24:24 +0100

magnum (11.0.0-1) unstable; urgency=medium

  * Add --concurrency 2 when running tests.
  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 17:02:08 +0200

magnum (11.0.0~rc1-1) experimental; urgency=medium

  * Add missing debian/magnum-common.logrotate.
  * New upstream release.
  * Fixed build-depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 11:43:42 +0200

magnum (10.0.0-2) unstable; urgency=medium

  * Make the /healthcheck not requiring auth by default.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jun 2020 14:47:40 +0200

magnum (10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 15:38:40 +0200

magnum (10.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 23:11:33 +0200

magnum (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed add-wsgi-script-to-magnum.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 18:08:27 +0200

magnum (9.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 27 Jan 2020 13:42:29 +0100

magnum (9.1.0-2) unstable; urgency=medium

  * Rebuild with newer openstack-pkg-tools

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 17 Dec 2019 12:50:50 +0100

magnum (9.1.0-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Dec 2019 09:42:17 +0100

magnum (9.0.0-3) unstable; urgency=medium

  * Modify Cinder and Trustee configuration only if requested through debconf.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Oct 2019 17:08:10 +0100

magnum (9.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * d/changelog: Remove trailing whitespaces.

  [ Michal Arbet ]
  * Add keystone_auth support debconf.
  * /etc/magnum/magnum.conf [trust]:
   - set cluster_user_trust = true by default.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Oct 2019 15:15:27 +0200

magnum (9.0.0-1) experimental; urgency=medium

  * Cosmetic fix of init message.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:28:03 +0200

magnum (9.0.0~rc1-3) experimental; urgency=medium

  * Add /etc/magnum/keystone_auth_default_policy.json

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 07 Oct 2019 18:38:12 +0200

magnum (9.0.0~rc1-2) experimental; urgency=medium

  * d/copyright: Update copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 30 Sep 2019 10:54:04 +0200

magnum (9.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/changelog: Remove trailing whitespaces.

  [ Michal Arbet ]
  * New upstream release.
  * d/patches/revert-magnum-proxy-patch.patch:
    - Remove as it is already applied in upstream

  [ Thomas Goirand ]
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2019 23:38:37 +0200

magnum (8.0.0-3) unstable; urgency=medium

  * Switch magnum-api to uwsgi.
  * Fixed pybasedir and state_path to correct values.
  * Add revert-magnum-proxy-patch.patch.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 May 2019 09:05:48 +0200

magnum (8.0.0-2) experimental; urgency=medium

  * d/control: Bump openstack-pkg-tools to version 99
  * d/copyright: Update year in my line

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 12:22:39 +0200

magnum (8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:45:54 +0200

magnum (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Added python3-upgradecheck.
  * Removed fix-py3-compatibility.patch applied upstream.
  * Do not use the python3- prefix when calling config generators.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 22:51:08 +0100

magnum (7.1.0-2) unstable; urgency=medium

  * Fix magnum-common.postinst.in (Closes: #924967)

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 19 Mar 2019 10:41:03 +0100

magnum (7.1.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: Fix dependencies for new version

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 06 Feb 2019 12:23:21 +0100

magnum (7.0.2-2) unstable; urgency=medium

  * d/control: Bump openstack-pkg-tools to 90
  * Add debconf config
  * Fix fix-py3-compatibility.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 09 Jan 2019 11:23:27 +0100

magnum (7.0.2-1) unstable; urgency=medium

  * New upstream version
  * d/control: Bump openstack-pkg-tools to 89
      - Bump openstack-pkg-tools to 89
      - Add me to uploaders field
  * d/copyright: Add me to copyright file
  * d/patches: Add fix-py3-compatibility.patch (Closes: #914108)
  * d/patches: Fix install-missing-files.patch (Closes: #914107)
  * d/python3-magnum.lintian-overrides:
      - shell-script-fails-syntax-check - False positive
      - python-script-but-no-python-dep - False positive
      - script-not-executable - False positive
      - Above shell and python scripts are not used in debian,
        they are used inside provisioned instances which are
        currently using python2.7.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 19 Nov 2018 16:42:07 +0100

magnum (7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 15:49:32 +0200

magnum (7.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Blacklist 2 unit tests:
    - drivers.test_heat_driver.TestHeatPoller.test_poll_done()
    - drivers.test_heat_driver.TestHeatPoller.test_poll_destroy()

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 15:03:45 +0200

magnum (6.0.1-2) unstable; urgency=medium

  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 22:28:24 +0000

magnum (6.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Generating policy.json with oslopolicy-sample-generator.
  * Switched to Python 3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 10:20:30 +0100

magnum (5.0.1-4) unstable; urgency=medium

  [ David Rabel ]
  * Team upload.
  * Fix encoding in d/po/pt.po.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 12:49:49 +0000

magnum (5.0.1-3) unstable; urgency=medium

  * Team upload.
  * Updated fr.po debconf translation (Closes: #886207).

 -- Ondřej Nový <onovy@debian.org>  Sun, 21 Jan 2018 15:15:01 +0100

magnum (5.0.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Updated pt.po (Closes: #876174).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 10:06:31 +0000

magnum (5.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Updating vcs fields.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * Remove SQLAlchemy version patch.
  * Fix oslo-config-generator namespace list.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Oct 2017 15:18:15 +0200

magnum (3.1.1-4) unstable; urgency=medium

  * Brazilian Portuguese debconf templates (Closes: #852444).
  * German debconf translation update (Closes: #842486).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Apr 2017 17:31:50 +0200

magnum (3.1.1-3) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858703).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:49:48 +0200

magnum (3.1.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Add missing files (Closes: #847097).
  * Allow SQLAlchemy >= 1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Dec 2016 16:53:30 +0100

magnum (3.1.1-1) unstable; urgency=medium

  * Fixed missing Alembic migration scripts (LP: #1632743).
  * Fixed missing lsb-base runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Oct 2016 23:58:31 +0200

magnum (3.1.1-0) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable (Closes: #835100).
  * Fixed oslotest EPOCH.
  * Debconf translation:
    - it (Closes: #839194).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 09:54:56 +0200

magnum (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Using OpenStack Gerrit as VCS URLs.
  * Fixed (build-)depends for this release.
  * Removed all patches (now irrelevant).
  * Updated Danish translation of the debconf templates (Closes: #830647).

  [ Spyros Trigazis ]
  * Fixed endpoint registration type and description.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2016 14:31:58 +0200

magnum (2.0.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * Updated Japanese debconf templates translation update (Closes: #820764).
  * Updated Dutch debconf templates translation (Closes: #823254).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 May 2016 13:11:37 +0000

magnum (2.0.0-4) unstable; urgency=medium

  * Uploading to unstable.
  * Updated ja.po debconf translation (Closes: #819209).
  * Updated pt_BR.po debconf translation (Closes: #819257).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:04:40 +0200

magnum (2.0.0-3) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:38:20 +0000

magnum (2.0.0-2) experimental; urgency=medium

  * Fixed config file generation.
  * Added missing oslo.middleware.cors namespace when generating config.
  * Also packaging api-paste.ini.
  * Set correct lock_path and auth_protocol default options in magnum.conf.
  * Correctly install all files in the package.
  * Add fix-bashisms.patch.
  * Set default listen on all IPs for magnum-api (ie: 0.0.0.0 instead of the
    default, which is 127.0.0.1).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 23:11:15 +0100

magnum (2.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Failed build on unit test failures.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 13:51:47 +0100

magnum (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated nl.po debconf translation (Closes: #812355).
  * Updated fr.po debconf translation (Closes: #807767).
  * Added a watch file.
  * Fixed debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Feb 2016 16:33:13 +0800

magnum (1.0.0~b1-5) unstable; urgency=medium

  * Import po files from Glance (Closes: #804126).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Nov 2015 09:51:23 +0100

magnum (1.0.0~b1-4) unstable; urgency=medium

  * Added missing magnum-common dbconfig-common dependency (Closes: #804107).
  * Added python-openstackclient depends in magnum-api.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Nov 2015 11:03:26 +0100

magnum (1.0.0~b1-3) unstable; urgency=medium

  * Added q-text-as-data in depends for magnum-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:45:32 +0000

magnum (1.0.0~b1-2) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 08:29:29 +0000

magnum (1.0.0~b1-1) unstable; urgency=medium

  * Initial release. (Closes: #803532)

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Oct 2015 06:26:24 +0100
